%define major 1
%define libname %mklibname nids %{major}
%define develname %mklibname nids -d

Summary:	Library that provides functions of Network Intrusion Detection System
Name:		libnids
Version:	1.24
Release:	%mkrel 13
License:	GPL
Group:		Networking/Other
URL:		http://libnids.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/libnids/%{name}-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/libnids/%{name}-%{version}.tar.gz.asc
Patch0:		libnids-1.18-libnet_config.diff
Patch1:		libnids-1.19-x86-pic.diff
Patch2:		libnids-1.24-no-inline.patch
BuildRequires:	libpcap-devel
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	glib2-devel >= 2.2.0

%description
Libnids is an implementation of an E-component of Network Intrusion Detection
System. It emulates the IP stack of Linux 2.0.x. Libnids offers IP
defragmentation, TCP stream assembly and TCP port scan detection.

%package -n	%{libname}
Summary:	A shared Library that provides functions of Network Intrusion Detection System
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Libnids is a library that provides a functionality of one of NIDS (Network
Intrusion Detection System) components, namely E-component. It means that
libnids code watches all local network traffic, cooks received datagrams a bit
(quite a bit ;)), and provides convenient information on them to analyzing
modules of NIDS.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname nids 1 -d}

%description -n	%{develname}
Libnids is a library that provides a functionality of one of NIDS (Network
Intrusion Detection System) components, namely E-component. It means that
libnids code watches all local network traffic, cooks received datagrams a bit
(quite a bit ;)), and provides convenient information on them to analyzing
modules of NIDS.

This package contains the static library and header files for %{name}.

%prep

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1

# fix soname
perl -pi -e "s|^LIBSHARED.*|LIBSHARED = libnids.so.%{major}|g" src/Makefile.in

%build
autoreconf -vfi

export CFLAGS="%{optflags} -fPIC"

%configure \
    --enable-shared \
    --enable-static

%make_build shared static

%install
%makeinstall

mv %{buildroot}%{_libdir}/libnids.so.%{major} \
    %{buildroot}%{_libdir}/libnids.so.%{major}.0

ln -snf libnids.so.%{major}.0 %{buildroot}%{_libdir}/libnids.so.%{major}
ln -snf libnids.so.%{major} %{buildroot}%{_libdir}/libnids.so

rm -rf %{buildroot}%{_libdir}/*.a

%files -n %{libname}
%doc CHANGES README CREDITS MISC
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGES README CREDITS MISC doc/*
%{_libdir}/lib*.so
%{_includedir}/nids.h
%{_mandir}/man3/*


%changelog
* Tue Aug 04 2020 joequant <joequant> 1.24-13.mga8
+ Revision: 1611007
- redo deps
- redo deps

* Thu Feb 13 2020 umeabot <umeabot> 1.24-12.mga8
+ Revision: 1514307
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.24-11.mga7
+ Revision: 1299048
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 wally <wally> 1.24-10.mga7
+ Revision: 1239200
- fix build on aarch64
- drop static devel files

* Mon Feb 08 2016 luigiwalser <luigiwalser> 1.24-9.mga6
+ Revision: 947383
- do not declare some functions as inline to fix dsniff build

* Fri Feb 05 2016 umeabot <umeabot> 1.24-8.mga6
+ Revision: 938966
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.24-7.mga5
+ Revision: 740236
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.24-6.mga5
+ Revision: 681652
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.24-5.mga4
+ Revision: 507190
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.24-4.mga3
+ Revision: 357863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 30 2011 guillomovitch <guillomovitch> 1.24-3.mga2
+ Revision: 189081
- imported package libnids

